// geofile.h

#ifndef _GEOFILE
#define _GEOFILE

#include <unistd.h>
#include <stdlib.h>
#include <string.h>

#include "geodetic.h"

typedef struct {
  char prefix[9];
  char name[25];
  char latDeg[4];
  char latMin[4];
  char latNS[2];
  char lonDeg[5];
  char lonMin[4];
  char lonEW[2];
} LOCATION;

extern LOCATION *place;             // array of LOCATIONs
extern int numplaces;				// size of array

extern int  ReadGeoFile(char *);
extern void WriteGeoFile(char *);
extern void SortByPrefix();
extern void SortByLocation();
extern void SortLocations();
extern double placeLat(int);
extern double placeLon(int);
extern int  Find(char *, char *);

#endif
