#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <ctype.h>

#include "maidenhead.h"

int main(int argc, char *argv[])
{
	Maidenhead mh;

	float LatD, LatM, LonD, LonM;
	char  s, w;
	if (argc == 2) {
		mh.MH(argv[1]);
		mh.MH_to_LL();
		printf("%.0f %.2f %c, %.0f %.2f %c\n",
			mh.LatDeg(), mh.LatMin(), mh.South() == true ? 'S' : 'N',
			mh.LonDeg(), mh.LonMin(), mh.West() == true ? 'W' : 'E');
	}
	if (argc == 7) {
		sscanf(argv[1], "%f", &LatD);
		sscanf(argv[2], "%f", &LatM);
		sscanf(argv[3], "%c", &s);
		sscanf(argv[4], "%f", &LonD);
		sscanf(argv[5], "%f", &LonM);
		sscanf(argv[6], "%c", &w);
		mh.LatLon2( 
			LatD * (toupper(s)=='S'?-1:1), LatM,
			LonD * (toupper(w)=='W'?-1:1), LonM );
		mh.LL_to_MH();
		printf("%s\n", mh.MH().c_str());
	}
}

